root = true

[*]
charset = utf-8
end_of_line = lf
insert_final_newline = true
indent_size = 2
indent_style = space
max_line_length = 120
tab_width = 8
trim_trailing_whitespace = true

[*.{bat,cmd}]
end_of_line = crlf

[*.{kt,kts,py}]
indent_size = 4

[*.md]
trim_trailing_whitespace = false
